```text
 _______        __
|_     _|.----.|__|.-----.-----.---.-.
 _|   |_ |  __||  ||     |  _  |  _  |
|_______||____||__||__|__|___  |___._|
                         |_____|
 ______                     __                   ______ _____   __               __
|   __ \.---.-.-----.-----.|__|.--.--.-----.    |      |     |_|__|.-----.-----.|  |_
|    __/|  _  |__ --|__ --||  ||  |  |  -__|    |   ---|       |  ||  -__|     ||   _|
|___|   |___._|_____|_____||__| \___/|_____|    |______|_______|__||_____|__|__||____|
```

A set of shell scripts (Bash) for an icinga client.
With a director script you can create Hosts and service checks with Icingaweb2 director API.
With an Icinga2 script you can run checks and post its results to the Icinga2 API.

Licencse: GNU GPL 3.0

IML * Institute For Medical Education; University of Bern

## Requirements

Icinga:

* In Icingaweb2 the module "director" must be enabled and the API access to it
* An existing Icinga 2 instance with enabled API access

On clients:

* Linux with Bash

## Basic Installation

As root...

* Create a non privileged user "icingaclient".
* Create a directory `mkdir -p /opt/imlmonitor/ && cd /opt/imlmonitor/`
* Run a git clone: `git clone https://git-repo.iml.unibe.ch/open-source/icinga-passive-client.git client`
* Set owner: `chown -R icingaclient. client`

## Setup client

* go to the "client" directory `cd /opt/imlmonitor/client` and copy _etc directory to /etc: `cp -r _etc /etc/icingaclient`

## Setup Icingaweb2 director access

TBD

## Setup Icinga2 access

TBD
